For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomepageProduct HelpLog inTry for Free
Developers HomeAPI ReferenceMCP
Developers HomeAPI ReferenceMCP
  • Getting Started
    • Introduction
    • Authentication with API Keys
    • Authentication with OAuth
    • API Clients
    • Pagination
    • Specifying Fields
    • Filter Parameters
    • HTTP Response Codes
    • Rate Limits
    • Timezone Offsets
    • Rich Text Fields
    • Changelog
  • CRM Core
    • Leads
    • Contacts
    • Opportunities
    • Tasks
    • Files
    • Custom Objects
    • Comments
  • Activities
    • Activities
    • Notes
    • Calls
    • Emails
    • Email Threads
    • WhatsApp Messages
    • Meetings
    • Custom Activities
    • Creations
    • Form Submissions
    • Lead Status Changes
    • Opportunity Status Changes
    • Lead Merges
    • Task Completions
  • Events & Webhooks
    • Webhooks
    • Events
  • Search & Reporting
    • Advanced Filtering
    • Smart Views
    • Reporting
  • Automation & Bulk Actions
    • Sequences (Workflows)
    • Bulk Actions
    • Exports
    • AI Field Enrichment
  • CRM Configuration
    • Custom Fields
      • Custom Field Schemas
        • GETRetrieve a custom field schema
        • PUTUpdate a custom field schema
      • Shared Custom Fields
    • Custom Activity Types
    • Custom Object Types
    • Pipelines
    • Opportunity Statuses
    • Lead Statuses
    • Integration Links
    • Forms
  • Communication Configuration
    • Email Templates
    • SMS Templates
    • Outcomes
    • Playbooks
    • Scheduling Links Guide
    • Scheduling Links
    • Connected Accounts
    • Send As
    • Unsubscribed Emails
    • Phone Numbers
    • Blocked Phone Numbers
    • Dialers
  • Users & Organizations
    • Users
    • Organizations
    • Memberships
    • Roles
    • Groups
Close

Product

OverviewCommunicationAutomationIntegrationsReportingSMSCallingSecurityForms

Pricing & Use Cases

PricingClose vs Other CRMsCustomer Stories

Resources

Sales BlogSales ResourcesSales GuidesWebinarsOn-Demand DemoSales Tools

Company

AboutCareersPartner with CloseBrand GuidelinesTermsPrivacyGDPRCCPA

Get Help

+1-833-GO-CLOSEHelp CenterDownload the Close AppProduct UpdatesSystem Status
LogoLogo
HomepageProduct HelpLog inTry for Free
CRM ConfigurationCustom FieldsCustom Field Schemas

Retrieve a custom field schema

||View as Markdown|
GET
https://api.close.com/api/v1/custom_field_schema/:object_type/
GET
/api/v1/custom_field_schema/:object_type/
$curl https://api.close.com/api/v1/custom_field_schema/object_type/ \
> -u "<CLOSE_API_KEY>:"
1{
2 "fields": [
3 {
4 "accepts_multiple_values": false,
5 "choices": null,
6 "created_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
7 "date_created": "2014-11-07T05:06:09.422000+00:00",
8 "date_updated": "2014-11-10T20:56:16.784000+00:00",
9 "description": "The number of users in the company",
10 "editable_with_roles": [],
11 "id": "cf_v6S011I6MqcbVvB2FA5Nk8dr5MkL8sWuCiG8cUleO9c",
12 "name": "# of users",
13 "organization_id": "orga_vfvFDAKGLybddKDJn8n7ElZZ3qyRF3QI8fJxTSAYr5X",
14 "type": "number",
15 "updated_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA"
16 },
17 {
18 "accepts_multiple_values": false,
19 "associations": [
20 {
21 "editable_with_roles": [],
22 "object_type": "lead",
23 "required": false
24 },
25 {
26 "editable_with_roles": [],
27 "object_type": "contact",
28 "required": false
29 },
30 {
31 "custom_activity_type_id": "actitype_2FqdeKTAEfMTwD4SVWwXqX",
32 "editable_with_roles": [],
33 "object_type": "custom_activity_type",
34 "required": true
35 }
36 ],
37 "created_by": "user_Ova4RGFG7pztSeJiiMFdN7O2MFl71nD0uGO3bIOo4Wk",
38 "date_created": "2021-04-10T17:36:09.235000+00:00",
39 "date_updated": "2021-04-10T17:36:09.235000+00:00",
40 "description": "User responsible for this Lead/Contact/Activity.",
41 "id": "cf_aU54Bvr6Rw8UBHh7zRboL3PYhbOVJl3XvwgPm3jgaKq",
42 "name": "Owner",
43 "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
44 "type": "user",
45 "updated_by": "user_Ova4RGFG7pztSeJiiMFdN7O2MFl71nD0uGO3bIOo4Wk"
46 }
47 ],
48 "name": "Lead",
49 "object_type": "lead",
50 "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH"
51}
Was this page helpful?
Previous

Custom Field Schemas

Next

Update a custom field schema

Built with

Authentication

AuthorizationBasic
Use your API key as the username and leave the password empty.
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

object_typestringRequired

Response

Successful response

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error